Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
ngocduong12210119

Cần giúp về Lisp Scale 1 chiều !

Các bài được khuyến nghị

vutuong87    0

các bác có thể giúp e viết lisp để scan theo theo diện tích được không.

E nói sơ bộ ntn:

- có 1 hình bất kì có diện tích là 242m2.

có thể tạo lisp scan nó còn 200m2, e dùng lệnh offset nhưng rất lâu

Mong các bác giúp cho

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

các bác có thể giúp e viết lisp để scan theo theo diện tích được không.

E nói sơ bộ ntn:

- có 1 hình bất kì có diện tích là 242m2.

có thể tạo lisp scan nó còn 200m2, e dùng lệnh offset nhưng rất lâu

Mong các bác giúp cho

Hề hề hề,

Cái này bạn cần chi phải dùng lisp cho nó .... chú học nhể.

Thử dùng lệnh scale và khi Cad yêu cầu nhập tỷ lệ scale thì bạn nhập như sau:

'cal -> enter -> (242/200)^(1/2) -> enter xem nó ra cái chi nhé ????

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

thế lại thất bại với cách SXC như các bác làm như trên rùi ! em đã làm trên card 2007 -2010 đều ko đc ! nếu ở gần hn em chạy qua tt hỏi phát ! để trong người khó chịu quá ! nhiều đồ án sài cái này eddit thì sướng phải biết !! em ở sài gòn ! có bác nào ở sài gon ko giúp em làm live như trên đc ko ạ !! đây la mail của em ! chuthang_lycaphebanme@yahoo.com rất mong các bác giúp đỡ ạ !!

 

bài này em đã làm như bác DUY mà ko đc !! mấy anh xem giúp em với!! thanks !!

 

 

Chon doi tuong can sc

Select objects: Specify opposite corner: 110 found

Select objects: Specify opposite corner: 0 found

Select objects:

Base point: ; error: too many arguments

Command:

Command: x

EXPLODE

Select objects: Specify opposite corner: 7 found

Select objects: *Cancel*

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

*Cái lisp này là scale với tỉ lệ x và y khác nhau nên gọi là scale x y.
-Tên lệnh: SCXY
-Thao tác:
+Nhập lệnh SCXY.
+Chọn đối tượng.
+Chọn điểm chuẩn (để phóng)
+Chọn 2 điểm chuẩn theo phương x.
+Chọn 2 điểm đến theo phương x.
+Chọn 2 điểm chuẩn theo phương y.
+Chọn 2 điểm đến theo phương y.
Xong!
Đây!!!!!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
yeuvietnam    3

Đây là đoạn Code Scale 1 chiều, Tue_NV đã cải tiến lại với lựa chọn thêm tham số R giống như Scale 2 chiều. Các bạn sử dụng và cho biết ý kiến thêm để Tue_NV hoàn thiện nhé.

Cảm ơn các bạn

 

;XSCALE Scale the mot chieu lenhtat :XSC
(DEFUN EXCUTE()
(setq oldvalue (getvar "CMDECHO"))
(setvar "CMDECHO" 0)

(princ "Chon doi tuong can scale: ")
(setq ss (ssget))
(setq P0 (getpoint "\n Base point: "))
(initget 1 "X Y X S")
(setq C (getkword "\nScale theo [X,Y,Z,Scale]? :"))
(setq hstr (getstring "\n Cho biet he so scale or Reference < R >"))

(if (/= hstr "R") (setq hs (distof hstr 2)))
(if (or (= hstr "R") (= hstr ""))
(progn
(setq po1 (getdist p0 "\n Nhap chieu dai cua doan 1 hay Pick diem thu 2 cua canh thu 1:"))
(setq po2 (getdist p0 "\n Nhap chieu dai cua doan 2 hay Pick diem thu 2 cua canh thu 2:"))
(setq hs (/ po2 po1))
))

(DELBLOCK "VKC_TEMP")
(CREATEBLOCK ss P0)
(Command "-Insert" "VKC_TEMP" C hs P0 "")
(setq dt (entlast))
(Command "Explode" dt)

(setvar "CMDECHO" oldvalue)
(princ)
)
(DEFUN CREATEBLOCK(ss P)
(command "-Block" "VKC_TEMP" P ss "")
)

(DEFUN DELBLOCK (bname)
(if (IsExistBlock bname)
(Command "-Purge" "B" bname "Y" "Y")
)
)
(DEFUN IsExistBlock(bname / kq)
(setq kq Nil)
(setq n (length LiBlk))
(setq i 0)
(while (< i n)
(if (= bname (nth i LiBlk))
(progn
(setq i n)
(setq kq T)
)
)
(setq i (1+ i))
)
kq
)
(DEFUN CREALIBLK (/ NL)
(setq LiBlk (List))
(setq NL (tblnext "BLOCK" T))
(while NL
(setq LiBlk (append LiBlk (list (cdr (assoc 2 NL)))))
(setq NL (tblnext "BLOCK"))
)
(setq LiBlk (Acad_strlsort LiBlk))
)
(DEFUN C:XSCALE()
(CREALIBLK)
(EXCUTE)
)
(DEFUN C:XSC()
(CREALIBLK)
(EXCUTE)
)

sử dụng lênh gì để scal đây bác

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×